# Uses of Interface
org.apache.cxf.message.Attachment

Packages that use Attachment
Package
Description
org.apache.cxf.attachment
org.apache.cxf.databinding
org.apache.cxf.databinding.source
org.apache.cxf.databinding.stax
org.apache.cxf.message

- ## Uses of Attachment in org.apache.cxf.attachment

  Classes in org.apache.cxf.attachment that implement Attachment
  Modifier and Type
  Class
  Description
  `class`
  `AttachmentImpl`
  Methods in org.apache.cxf.attachment that return Attachment
  Modifier and Type
  Method
  Description
  `static Attachment`
  AttachmentUtil.`createAttachment(InputStream stream, Map<String,List<String>> headers)`
  Deprecated.
  use createAttachment(InputStream stream, Map<String, List> headers, Message message)
  `static Attachment`
  AttachmentUtil.`createAttachment(InputStream stream, Map<String,List<String>> headers, Message message)`
  `static Attachment`
  AttachmentUtil.`createMtomAttachment(boolean isXop, String mimeType, String elementNS, byte[] data, int offset, int length, int threshold)`
  `static Attachment`
  AttachmentUtil.`createMtomAttachmentFromDH(boolean isXop, jakarta.activation.DataHandler handler, String elementNS, int threshold)`
  `Attachment`
  AttachmentBoundaryDeserializer.`read(InputStream body)`
  Methods in org.apache.cxf.attachment that return types with arguments of type Attachment
  Modifier and Type
  Method
  Description
  `List<Attachment>`
  LazyAttachmentCollection.`getLoadedAttachments()`
  `Iterator<Attachment>`
  LazyAttachmentCollection.`iterator()`
  Methods in org.apache.cxf.attachment with parameters of type Attachment
  Modifier and Type
  Method
  Description
  `boolean`
  LazyAttachmentCollection.`add(Attachment arg0)`
  Method parameters in org.apache.cxf.attachment with type arguments of type Attachment
  Modifier and Type
  Method
  Description
  `boolean`
  LazyAttachmentCollection.`addAll(Collection<? extends Attachment> arg0)`
  `static jakarta.activation.DataSource`
  AttachmentUtil.`getAttachmentDataSource(String contentId, Collection<Attachment> atts)`
  `static Map<String,jakarta.activation.DataHandler>`
  AttachmentUtil.`getDHMap(Collection<Attachment> attachments)`
  Constructor parameters in org.apache.cxf.attachment with type arguments of type Attachment
  Modifier
  Constructor
  Description
  ``
  `LazyDataSource(String id, Collection<Attachment> attachments)`

- ## Uses of Attachment in org.apache.cxf.databinding

  Method parameters in org.apache.cxf.databinding with type arguments of type Attachment
  Modifier and Type
  Method
  Description
  `void`
  DataReader.`setAttachments(Collection<Attachment> attachments)`
  Attach a collection of attachments to a binding.
  `void`
  DataWriter.`setAttachments(Collection<Attachment> attachments)`
  Attach a collection of attachments to this writer.

- ## Uses of Attachment in org.apache.cxf.databinding.source

  Method parameters in org.apache.cxf.databinding.source with type arguments of type Attachment
  Modifier and Type
  Method
  Description
  `void`
  NodeDataReader.`setAttachments(Collection<Attachment> attachments)`
  `void`
  NodeDataWriter.`setAttachments(Collection<Attachment> attachments)`
  `void`
  XMLStreamDataReader.`setAttachments(Collection<Attachment> attachments)`
  `void`
  XMLStreamDataWriter.`setAttachments(Collection<Attachment> attachments)`

- ## Uses of Attachment in org.apache.cxf.databinding.stax

  Method parameters in org.apache.cxf.databinding.stax with type arguments of type Attachment
  Modifier and Type
  Method
  Description
  `void`
  StaxDataBinding.XMLStreamDataReader.`setAttachments(Collection<Attachment> attachments)`
  `void`
  StaxDataBinding.XMLStreamDataWriter.`setAttachments(Collection<Attachment> attachments)`

- ## Uses of Attachment in org.apache.cxf.message

  Methods in org.apache.cxf.message that return types with arguments of type Attachment
  Modifier and Type
  Method
  Description
  `Collection<Attachment>`
  AbstractWrappedMessage.`getAttachments()`
  `Collection<Attachment>`
  Message.`getAttachments()`
  Retrieve any binary attachments associated with the message.
  `Collection<Attachment>`
  MessageImpl.`getAttachments()`
  Method parameters in org.apache.cxf.message with type arguments of type Attachment
  Modifier and Type
  Method
  Description
  `void`
  AbstractWrappedMessage.`setAttachments(Collection<Attachment> attachments)`
  `void`
  Message.`setAttachments(Collection<Attachment> attachments)`
  `void`
  MessageImpl.`setAttachments(Collection<Attachment> attachments)`